BaseAndExponent< T, E > Struct Template Reference

Base and exponent. More...

## Public Member Functions

| BaseAndExponent (const T &base, const E &exponent)
bool | operator< (const BaseAndExponent< T, E > &rhs) const

## Public Attributes

T | base
E | exponent

## Detailed Description

### template<class T, class E = Integer>
struct BaseAndExponent< T, E >

Base and exponent.

Template Parameters

  T | base class or type
  T | exponent class or type

Definition at line 249 of file algebra.h.

The documentation for this struct was generated from the following file:

- algebra.h